> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Update user's information

POST https://api-d.docusign.net/Management/v2/organizations/{organizationId}/users/profiles
Content-Type: application/json

Updates a user's information.

[Required authentication scopes](/docs/admin-api/admin101/auth/): `user_write`.

Reference: https://developers.docusign.com/docs/admin-api/reference/usermanagement/esignusermanagement/updateuser

## Authentication

- `Authorization` header (bearer token, required) — OAuth2 Access code Grant

## Servers

- `https://api-d.docusign.net/Management` (Demo, default)
- `https://api.docusign.net/Management` (Production)

## Request

### Path parameters

- `organizationId` (string, required) — The organization ID Guid

### Query parameters

- `apply_license_override` (boolean, optional) — If an account has an IAM plan with licenses, this query specifies how a user's license is handled. Values: true - Updates the user's existing license; false - Adds a license to the user

### Body (application/json)

This endpoint expects an UpdateUsersRequest.

- `users` (list of UpdateUserRequest, optional) — A list of users whose information you want to change.
- `auto_activate_memberships_on_reactivation` (boolean, optional) — When set to **true**, the user's memberships will be automatically activated on user reactivation without the need to send another activation email.

## Response

### 200

OK

- `success` (boolean, optional) — When **true,** the request to change user information succeeded.
- `users` (list of UserUpdateResponse, optional) — A list of users whose email addresses have been updated.

## Types

### UpdateUserRequest

Request to change a user's information.

- `id` (string, required) — The user's unique ID.
- `site_id` (integer, required) — The site ID.
- `user_name` (string, optional) — The full name of the user.
- `first_name` (string, optional) — The user's first name.
- `last_name` (string, optional) — The user's last name.
- `email` (string, optional) — The email address.
- `default_account_id` (string, optional) — The account ID of the user's default account.
- `language_culture` (string, optional) — The language and culture of the user. - Chinese Simplified: `zh_CN` - Chinese Traditional: `zh_TW` - Dutch: `nl` - English: `en` - French: `fr` - German: `de` - Italian: `it` - Japanese: `ja` - Korean: `ko` - Portuguese: `pt` - Portuguese Brazil: `pt_BR` - Russian: `ru` - Spanish: `es`
- `selected_languages` (string, optional)
- `federated_status` (string, optional) — The user's federated status. One of: - `RemoveStatus` - `FedAuthRequired` - `FedAuthBypass` - `Evicted`
- `force_password_change` (boolean, optional) — When **true,** the user will be required to change the account password.
- `memberships` (list of UpdateMembershipRequest, optional) — A list of group membership requests.
- `device_verification_enabled` (boolean, optional)

### UserUpdateResponse

Error result of attempting to change a user's email address.

- `id` (string, optional) — The ID of the user whose email address has been updated.
- `site_id` (integer, optional) — The site ID.
- `email` (string, optional) — The email address.
- `error_details` (ErrorDetails, optional) — Errors.

### UpdateMembershipRequest

A request to update group membership.

- `account_id` (string, required) — The user's unique ID.
- `permission_profile` (PermissionProfileRequest, optional) — A permission profile.
- `groups` (list of GroupRequest, optional) — The user's requested groups.
- `company_name` (string, optional) — The user's company name.
- `job_title` (string, optional) — The user's job title.
- `send_activation` (boolean, optional) — When **true,** send an activation request after the update.
- `access_code` (string, optional) — The access code that the user needs to activate an account.
- `license_type` (string, optional)

### ErrorDetails

Errors.

- `error` (string, optional) — The code for the error.
- `error_description` (string, optional) — A description of the error.

### PermissionProfileRequest

A permission profile.

- `id` (long, required) — The ID of the permission profile.
- `name` (string, optional) — The name of the permission profile.

### GroupRequest

A group for a user to belong to.

- `id` (long, required) — The ID of the group.
- `name` (string, optional) — The name of the group.
- `type` (string, optional) — The type of group. One of: - `invalid` - `admin_group` - `everyone_group` - `custom_group`

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "success": true,
  "users": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "site_id": 1,
      "email": "string",
      "error_details": {
        "error": "string",
        "error_description": "string"
      }
    }
  ]
}
```